<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2016 rel. 2 (x64) (http://www.altova.com) by Periasamy Subramaniyan (Miki Travel Ltd) -->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:include schemaLocation="bookingCommonTypes.xsd"/>
	<xs:element name="payForBookingResponse">
		<xs:annotation>
			<xs:documentation>Request the latest status of bookings made on request</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence>
				<xs:element name="responseAuditInfo" type="responseAuditInfo"/>
				<xs:element name="items" minOccurs="0">
					<xs:annotation>
						<xs:documentation>This element is present only when the payment is successful</xs:documentation>
					</xs:annotation>
					<xs:complexType>
						<xs:sequence maxOccurs="unbounded">
							<xs:element name="item">
								<xs:complexType>
									<xs:sequence>
										<xs:element name="productCode" type="productCodeType"/>
										<xs:element name="giataCode" type="xs:string" minOccurs="0"/>
										<xs:element name="productType" type="responseProductType"/>
										<xs:element name="itemTotalPrice" type="priceWithTaxes"/>
										<xs:element name="serviceDate">
											<xs:complexType>
												<xs:sequence>
													<xs:element name="startDate" type="xs:date"/>
													<xs:element name="endDate" type="xs:date" minOccurs="0"/>
												</xs:sequence>
											</xs:complexType>
										</xs:element>
									</xs:sequence>
									<xs:attribute name="tourReference" type="tourReferenceType" use="required"/>
									<xs:attribute name="status" type="bookingStatusType" use="required"/>
									<xs:attribute name="allowModifications" type="xs:nonNegativeInteger" use="required"/>
									<xs:attribute name="paymentStatus" type="paymentStatusType" use="required"/>
									<xs:attribute name="clientReference" type="xs:string" use="required"/>
									<xs:attribute name="bookingReference" type="xs:string" use="required"/>
									<xs:attribute name="currencyCode" type="currencyCodeType" use="required"/>
								</xs:complexType>
							</xs:element>
						</xs:sequence>
					</xs:complexType>
				</xs:element>
				<xs:element name="paymentInfo" type="paymentResponseType" minOccurs="0">
					<xs:annotation>
						<xs:documentation>Total amount paid for all the booking item in the response. </xs:documentation>
					</xs:annotation>
				</xs:element>
				<xs:element name="warnings" type="warnings" minOccurs="0">
					<xs:annotation>
						<xs:documentation>Indicates the collections of business level warning messages for requested products.</xs:documentation>
					</xs:annotation>
				</xs:element>
				<xs:element name="errors" type="errors" minOccurs="0">
					<xs:annotation>
						<xs:documentation>Collection of errors happen during the reservation of items.</xs:documentation>
					</xs:annotation>
				</xs:element>
			</xs:sequence>
			<xs:attribute name="versionNumber" type="xs:string" use="required" fixed="7.0">
				<xs:annotation>
					<xs:documentation>Indicates the version of the request that is being used. </xs:documentation>
				</xs:annotation>
			</xs:attribute>
		</xs:complexType>
	</xs:element>
</xs:schema>
